# clc

Clear Command Window

## Calling Sequence

    clc([nblines])

## Arguments

nblines

  a double value

## Description

`clc()` clears all input and output from the Console.

After using `clc()`, you cannot use the scroll bar to see the history of functions, but still can use the up arrow to recall statements from the command history.

`clc(nblines)` clears `nblines` above cursor current line and move cursor up to this line.

Note that `clc([nblines])` cannot be used under Unix/Linux platforms when Scilab used in `cli` or `adv-cli` (no window) modes.

## Examples

    rand(10,10)
    clc();
    rand(10,10)
    clc(5); // Delete the 5 previous lines

## See Also

- tohome